Subject: Re: [PATCH v2] sequencer: advise if skipping cherry-picked commit

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Aug 2021 12:13:44 -0700

Philippe Blain <[email-masked]> writes:

> Since your proposed changes are in sequencer.c, this will only affect
> the default "merge" rebase backend, and not the older 'apply' backend. I think
> it might be worth mentioning this in the commit message.

It shouldn't be too hard to teach "format-patch --cherry-pick" to
report when commits are actually dropped.  There isn't necessarily a
need to give help to users what to do to apply the same change
twice, but even for those who _know_ how to do so, they need to know
if commits are dropped in the first place.  And such a notice is useful
for any user of the --cherry-pick feature of format-patch, not just
as an implementation detail of "git rebase".